<script src="./Script.js"></script>

<template>
  <div v-if="data.length > 0">
    <div class="nt-list-checkbox" v-for="(item, index) in data" :key="index">
      <label class="nt-checkbox nt-checkbox-primary">
        <input
          type="checkbox"
          :value="item.id"
          v-model="new_value"
          checked
          @input="$emit('input', new_value)"
        />
        <div class="nt-checkbox-text" style="width: 100%; word-break: break-all;">{{ item[label] }}</div>
        <span class="nt-checkbox-symbol"></span>
      </label>
    </div>
  </div>
</template>
